| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
ModifyAnnounceInfo Class Reference
Intercept and Treatment

Modify Announcement Treatment data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | Name
| Identifies an announcement. More...
enum unsp__YesNo | Answer
| Specifies the answer announcement. More...
enum unsp__YesNo | BargeIn
| Specifies whether or not the Barge-In announcement is applied. More...
xsd__string | DestinationName
| Destination Name. More...
xsd__string | DestinationCircuit
| Specifies the Treatment Destination Circuit name (MG_CIRCUIT_ID of the destination). More...
enum unsp__InterceptDestinationType | DestinationType
| Destination Type. More...

## Detailed Description

Modify Announcement Treatment data.

## Member Data Documentation

## ◆ Answer

enum unsp__YesNo ModifyAnnounceInfo::Answer

Specifies the answer announcement.

Possible values are:

- No - the call is treated as unanswered, and the indication is not returned.
- Yes - an indication will be returned to the calling party before the announcement..

required: false
default value[range]: YnYes

## ◆ BargeIn

enum unsp__YesNo ModifyAnnounceInfo::BargeIn

Specifies whether or not the Barge-In announcement is applied.

Possible values are:

- No - Non-Barge-In announcement implies that a call is connected to a recorded announcement only at the beginning of the recorded message cycle.
- Yes - Barge-In announcement implies that a call is connected to the recorded announcement immediately.

required: false
default value[range]: YnYes

## ◆ DestinationCircuit

xsd__string ModifyAnnounceInfo::DestinationCircuit

Specifies the Treatment Destination Circuit name (MG_CIRCUIT_ID of the destination).

The Destination Circuit Name is a user-assigned alphanumeric string identifying a Media Gateway Circuit.
required: false
default value[range]: NA [1..63]

## ◆ DestinationName

xsd__string ModifyAnnounceInfo::DestinationName

Destination Name.

This field is optional for Tone treatments, and is mandatory for Announcement treatments.

- If 'Destination Type' equals 'MGCPMS', the 'Destination Name' is a user-assigned alphanumeric string identifying a Media Gateway.
- If 'Destination Type' equals 'DEST', the 'Destination Name' is a user-assigned alphanumeric string identifying a Destination with a 'Destination Id' of type 'MSDEST'.
- If 'Destination Type' equals 'ORIGDEST_MS', the 'Destination Name' is a user- assigned, alphanumeric string identifying an Origin Destination.

required: true
default value[range]: NA [1..63]

## ◆ DestinationType

enum unsp__InterceptDestinationType ModifyAnnounceInfo::DestinationType

Destination Type.

required: false
default value[range]: ICDtUnassigned

## ◆ Name

xsd__string ModifyAnnounceInfo::Name

Identifies an announcement.

required: true
default value[range]: NA [1..511]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h